From a779e0c231286d55ced78680a816a38714ec4817 Mon Sep 17 00:00:00 2001
From: Jean-Claude Beaudoin <jean.claude.beaudoin@gmail.com>
Date: Sun, 2 Dec 2012 01:17:53 -0500
Subject: [PATCH] Update port status for MKCL, also silence a spurious warning.

---
 asdf-bundle.asd  |    4 ++--
 asdf-bundle.lisp |    2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/asdf-bundle.asd b/asdf-bundle.asd
index 2d11cbd..f5e8cc4 100644
--- a/asdf-bundle.asd
+++ b/asdf-bundle.asd
@@ -11,8 +11,8 @@
 ;;; Copyright (c) 2012 - 2012, Francois-Rene Rideau
 ;;;
 ;;; Currently works on
-;;; Allegro, Clozure CL, CMUCL, ECL, GNU CLISP, LispWorks, SBCL,
-;;; we think SCL (untested), maybe MKCL (untested).
+;;; Allegro, Clozure CL, CMUCL, ECL, GNU CLISP, LispWorks, MKCL, SBCL,
+;;; we think SCL (untested).
 ;;; For ABCL, see the abcl-jar contrib instead.
 
 (defsystem :asdf-bundle
diff --git a/asdf-bundle.lisp b/asdf-bundle.lisp
index ef0bb64..3353c25 100644
--- a/asdf-bundle.lisp
+++ b/asdf-bundle.lisp
@@ -427,6 +427,8 @@ using WRITE-SEQUENCE and a sensibly sized buffer." ; copied from xcvb-driver
   (make-pathname :name (strcat (pathname-name pathname) suffix)
                  :defaults pathname))
 
+;;#+(or clozure allegro clisp cmu sbcl scl lispworks)
+#-(or ecl mkcl)
 (defun combine-fasls (inputs output)
   #+clozure (ccl:fasl-concatenate output inputs :if-exists :supersede)
   #+(or allegro clisp cmu sbcl scl) (concatenate-files inputs output)
-- 
1.7.1

